<?php

    namespace CF7EventTracker;

    use Puc_v4p8_Factory;

    class Updater {

        private $plugin_path;
        private $plugin_index;

        function __construct( $plugin_path, $plugin_index ) {

            $this->plugin_path = $plugin_path;
            $this->plugin_index = $plugin_index;

        }

        function init_update( $credentials ) {

            $remote = $credentials[ 'remote' ];
            $license = $credentials[ 'license' ];
            $host = $_SERVER[ 'SERVER_NAME' ];
            $remote_path = "https://$remote/plugin.php?license=$license&origin=$host";

            require CF7ET_PATH . 'vendor/yahnis-elsts/plugin-update-checker/plugin-update-checker.php';
            $updateChecker = Puc_v4p8_Factory::buildUpdateChecker(
                $remote_path,
                CF7ET_INDEX,
                'cf7-event-tracker'
            );

        }

    }

?>
